Package com.io7m.smfj.processing.main

## Class SMFMemoryMeshFilterSchemaCheck

- java.lang.Object
- - com.io7m.smfj.processing.main.SMFMemoryMeshFilterSchemaCheck

- All Implemented Interfaces:
    `SMFMemoryMeshFilterType`

      public final class SMFMemoryMeshFilterSchemaCheck
      extends java.lang.Object
      implements SMFMemoryMeshFilterType

  A filter that checks the existence and type of an attribute.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `NAME` | The command name.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SMFMemoryMeshFilterType` | `create​(SMFSchemaIdentifier in_config)` | Create a new filter.
    `SMFPartialLogged<SMFMemoryMesh>` | `filter​(SMFFilterCommandContext context, SMFMemoryMesh m)` | Evaluate the filter on the given mesh.
    `java.lang.String` | `name()` |
    `static SMFPartialLogged<SMFMemoryMeshFilterType>` | `parse​(java.util.Optional<java.net.URI> file, int line, java.util.List<java.lang.String> text)` | Attempt to parse a command.
    `java.lang.String` | `syntax()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final java.lang.String NAME

      The command name.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### create

          public static SMFMemoryMeshFilterType create​(SMFSchemaIdentifier in_config)

      Create a new filter.
      Parameters:
        `in_config` - The configuration
      Returns:
        A new filter

    - #### parse

          public static SMFPartialLogged<SMFMemoryMeshFilterType> parse​(java.util.Optional<java.net.URI> file,
                                                                        int line,
                                                                        java.util.List<java.lang.String> text)

      Attempt to parse a command.
      Parameters:
        `file` - The file, if any
        `line` - The line
        `text` - The text
      Returns:
        A parsed command or a list of parse errors

    - #### name

          public java.lang.String name()

      Specified by:
        `name` in interface `SMFMemoryMeshFilterType`
      Returns:
        The name of the filter

    - #### syntax

          public java.lang.String syntax()

      Specified by:
        `syntax` in interface `SMFMemoryMeshFilterType`
      Returns:
        The syntax of the filter

    - #### filter

          public SMFPartialLogged<SMFMemoryMesh> filter​(SMFFilterCommandContext context,
                                                        SMFMemoryMesh m)

      Description copied from interface: `SMFMemoryMeshFilterType`
      Evaluate the filter on the given mesh.
      Specified by:
        `filter` in interface `SMFMemoryMeshFilterType`
      Parameters:
        `context` - The filtering context
        `m` - A mesh
      Returns:
        A filtered mesh, or a list or reasons why the filtering did not work